% collaborative work by: 
% Kun Zhang (dabiezu@gmail.edu)
% Pieter J. Mosterman (pmosterman@yahoo.com)
% Enes Bilgin (enes1988@gmail.com)


clc
clear all
bdclose all

init_latitude = 37.798889;
init_longitude = -122.443889;
exe = 1;
format long;
disp('==============================')
disp('  select initial location:    ')
disp('==============================')
disp('(0) San Francisco');
disp('(1) Los Angeles');
disp('(2) Boston')
disp('(3) New York')
disp('(4) enter location manually')

switch input('')
    case 0
    case 1
        init_latitude = 34.052269;
        init_longitude = -118.243415;
    case 2
        init_latitude = 42.358929;
        init_longitude = -71.052036;
    case 3
        init_latitude = 40.760984;
        init_longitude = -73.990765;
    case 4
        disp('input the latitude (e.g: 37.798889)')
        init_latitude = input('');
        disp('input the longitude (e.g: -122.443889)')
        init_longitude = input('');
    otherwise
        disp('Wrong selection.')
        exe = 0;
end


if exe
    addpath('.\utility');
    myEarth = sl2ge_autruism_v1;
%     pause for waiting of loading google 3d
%     pause has to be in a loop, otherwise it does not work properly in this context....
    for i = 1:4
        pause(4);
    end
%     if the newwork condition is not good(the pause in the loop is not adequate)
%     set a break point here, and wait until completion of loading.
    GEhandle=guidata(myEarth);
    
    range =0;
    tilt = 85;
    altitude = 50.25;
    
    
    GEhandle.myDoc.parentWindow.execScript(['addLaView(' num2str(range) ',' num2str(tilt) ',' num2str(altitude) ')'], 'Jscript');
    
    sim('superman_v1.slx');
end