var RC_MODEL_URL = //is scaled by a factor 0.75 when loaded 
'http://sketchup.google.com/3dwarehouse/download?'
+ 'mid=79af699573e9aa36c53862de621cdf23&rtyp=zip&'
+ 'fn=Untitled&ctyp=other&ts=1248712558000';


//'http://sketchup.google.com/3dwarehouse/download?'
//+ 'mid=c4b48ae0e58407a6f3c2d0d8f3990b33&rtyp=zip&'
//+ 'fn=Untitled&ctyp=other&ts=1274440434000';
//'http://sketchup.google.com/3dwarehouse/download?'
//+ 'mid=c67f7afefc2799c2742c569fba86d8e9&rtyp=zip&'
//+ 'fn=Untitled&ctyp=other&ts=1269364627000';

//'http://sketchup.google.com/3dwarehouse/download?'
//+ 'mid=2e181ffd3144e9beceb4c44b89a3a1f&rtyp=zip&'
//+ 'fn=let+copter+2&ctyp=other&ts=1274469684000';

// 'http://sketchup.google.com/3dwarehouse/download?'
// + 'mid=19ac4eb0e0813a34dde7bf320317ddae&rtyp=zip&'
// + 'fn=F&ctyp=other&ts=1248974187000';

// 'http://sketchup.google.com/3dwarehouse/download?'
// + 'mid=c6cfb984aa6a25121c531d7223b44778&rtyp=zip&'
// + 'fn=054+Helicopter&ctyp=other&ts=1220489614000';

//'http://sketchup.google.com/3dwarehouse/download?'
//+ 'mid=14d21d733cbd08ef1ce1d21a2c0592ef&rtyp=zip&'
//+ 'fn=Project+Valhalla+Drone&ctyp=other&ts=1213123361000';

//'http://sketchup.google.com/3dwarehouse/download?'
//+ 'mid=3573275f6232f7138fb3a69fe5dc4576&rtyp=zip&'
//+ 'fn=MicroUAV&ctyp=other&ts=1347989013000';


var FW_MODEL_URL =
'http://sketchup.google.com/3dwarehouse/download?'
+ 'mid=6826af6513566b12f4aab844bf68e35e&rtyp=zip&'
+ 'fn=Halifax&ctyp=other&ts=1247980274000';

//var GV_MODEL_URL =
//'http://sketchup.google.com/3dwarehouse/download?'
//+ 'mid=d754f935509b45af30714334794526d4&rtyp=zip&'
//+ 'fn=Ford+Escape+Xls&ctyp=other&ts=1288753398000'

//var GV_MODEL_URL =
//'http://sketchup.google.com/3dwarehouse/download?'
//+'mid=e5571523306a05d86fb3d13c573332e3&rtyp=zip&'
//+'fn=18+WHEELER&ctyp=other&ts=1217832507000';

var GV_MODEL_URL =
'http://sketchup.google.com/3dwarehouse/download?'
+'mid=db1cac76467b17876ca2b6e5474aad11&rtyp=zs&'
+'fn=Untitled&ctyp=other&ts=1262112309000'


var INIT_LOC = {
    lat: 38.040675,
    lon: -121.6306,
    heading: 90
}; 

var aKmlVehicle; //kmlObject
var la = new Array; //LookAt
var laNr = 0;

var gvP = new Array; //placemakr kmlFeature
var gv = new Array; //ground vehicle kmlGeometry

var fwP = new Array; //placemakr kmlFeature
var fw = new Array; //fixed wing vehicle kmlGeometry

var rcP = new Array; //placemark kmlFeature
var rc = new Array; //rotor craft vehicle kmlGeometry

var gvNr = 0;
var fwNr = 0;
var rcNr = 0;

function teleportTo(lat, lon, heading){
    var lookAt = ge.createLookAt('');
    lookAt.set(lat, lon, 10, ge.ALTITUDE_RELATIVE_TO_SEA_FLOOR, heading, 80, 50);
    
    ge.getView().setAbstractView(lookAt);

    groundAlt = ge.getGlobe().getGroundAltitude(lat, lon);
}


function addGroundVehicle(){
    google.earth.fetchKml(ge, GV_MODEL_URL, function(kmlObject){
        if (kmlObject){
            ge.getFeatures().appendChild(kmlObject);
            aKmlVehicle = kmlObject;
        }
    });
}

function addFixedWingVehicle(){
    google.earth.fetchKml(ge, FW_MODEL_URL, function(kmlObject){
        if (kmlObject){
            ge.getFeatures().appendChild(kmlObject);
            aKmlVehicle = kmlObject;
        }
    });
}

function addRotorCraftVehicle(){
    google.earth.fetchKml(ge, RC_MODEL_URL, function(kmlObject){
        if (kmlObject){
            ge.getFeatures().appendChild(kmlObject);
            aKmlVehicle = kmlObject;
        }
    });
}

//---- dabiezu
function addMathworkCampus(){
    google.earth.fetchKml(ge, MathworkCampus_URL, function(kmlObject){
        if (kmlObject){
            ge.getFeatures().appendChild(kmlObject);
            aKmlVehicle = kmlObject;
        }
    });
}

function addLaView(range, tilt, altitude){
    la[laNr] = ge.createLookAt('');

    la[laNr].setAltitudeMode(ge.ALTITUDE_RELATIVE_TO_GROUND);
    la[laNr].setAltitude(altitude);

    la[laNr].setTilt(tilt);
    la[laNr].setRange(range);

    //Setting lat/lon/head is really gratuitous here, as it will be done during simulation
    //gvLA[laNr].setLatitude(gv[index].getLocation().getLatitude()-4e-5); //passenger seat
    //gvLA[laNr].setLongitude(gv[index].getLocation().getLongitude());
    //gvLA[laNr].setHeading(gv[index].getOrientation().getHeading() + 180); //The Ford Focus orientation is reversed

    ge.getView().setAbstractView(la[laNr]);

    laNr = laNr + 1;
}


function addGVModel(lat, lon, heading){
    var placemark = ge.createPlacemark('');
    placemark.setName('GVmodel');
    placemark = addKmlModel(placemark);

    gvP[gvNr] = placemark; //keep separate record to avoid many 'getGeometry()' calls
    gv[gvNr] = placemark.getGeometry();
    gv[gvNr].setAltitudeMode(ge.ALTITUDE_RELATIVE_TO_GROUND);

    var loc = ge.createLocation('');
    loc.setLatitude(lat);
    loc.setLongitude(lon);
    loc.setAltitude(0);
    gv[gvNr].setLocation(loc);

    gvNr = gvNr + 1;
}

function addFWModel(lat, lon, heading){
    var placemark = ge.createPlacemark('');
    placemark.setName('FWmodel');
    placemark = addKmlModel(placemark);

    fwP[fwNr] = placemark; //keep separate record to avoid many 'getGeometry()' calls
    fw[fwNr] = placemark.getGeometry();
    fw[fwNr].setAltitudeMode(ge.ALTITUDE_RELATIVE_TO_GROUND);

    var loc = ge.createLocation('');
    loc.setLatitude(lat);
    loc.setLongitude(lon);
    loc.setAltitude(0);
    fw[fwNr].setLocation(loc);

    fwNr = fwNr + 1;
}

function addRCModel(lat, lon, heading){
    var placemark = ge.createPlacemark('');
    placemark.setName('RCmodel');
    placemark = addKmlModel(placemark);

    rcP[rcNr] = placemark; //keep separate record to avoid many 'getGeometry()' calls
    rc[rcNr] = placemark.getGeometry();
    rc[rcNr].setAltitudeMode(ge.ALTITUDE_RELATIVE_TO_GROUND);

    var loc = ge.createLocation('');
    loc.setLatitude(lat);
    loc.setLongitude(lon);
    loc.setAltitude(0);
    rc[rcNr].setLocation(loc);

    var aScale = ge.createScale(''); //if you name this, the ID string must be uniquified
    aScale.set(0.75, 0.75, 0.75);
    rc[rcNr].setScale(aScale);

    rcNr = rcNr + 1;
}


function addKmlModel(placemark){
    walkKmlDom(aKmlVehicle, function() {
        if (this.getType() == 'KmlPlacemark' &&
            this.getGeometry() &&
            this.getGeometry().getType() == 'KmlModel')
            placemark = this;
    });

    // add the model placemark to Earth
    ge.getFeatures().appendChild(placemark);
    return placemark;
}


function moveGV(lat, lon, alt, heading){
    for(var i=0;i<gvNr;i++){
        var loc = ge.createLocation('');
        loc.setLatitude(lat[i]);
        loc.setLongitude(lon[i]);
        loc.setAltitude(alt[i]);

        var orient = ge.createOrientation(''); //heading,tilt,roll
        orient.setHeading(heading[i]);

        gv[i].setLocation(loc);
        gv[i].setOrientation(orient);
    }
}

function moveFW(lat, lon, alt, heading){
    for(var i=0;i<fwNr;i++){    
        var loc = ge.createLocation('');
        loc.setLatitude(lat[i]);
        loc.setLongitude(lon[i]);
        loc.setAltitude(alt[i]);

        var orient = ge.createOrientation(''); //heading,tilt,roll
        orient.setHeading(heading[i]);

        fw[i].setLocation(loc);
        fw[i].setOrientation(orient);
    }
}

function moveRC(lat, lon, alt, heading){
    for(var i=0;i<rcNr;i++){    
        var loc = ge.createLocation('');
        loc.setLatitude(lat[i]);
        loc.setLongitude(lon[i]);
        loc.setAltitude(alt[i]);

        var orient = ge.createOrientation(''); //heading,tilt,roll
        orient.setHeading(heading[i]);

        rc[i].setLocation(loc);
        rc[i].setOrientation(orient);
    }
}

function setRCProperties(vis){
    for(var i=0;i<rcNr;i++){    
        rcP[i].setVisibility(vis[i]);
    }
}


function moveLaView(index, lat, lon, alt, head, tilt){
    la[index].setLatitude(lat[index] - 4e-5); //passenger seat
    la[index].setLongitude(lon[index]);
    la[index].setHeading(head[index] + 180); //The Ford Focus orientation is reversed
    la[index].setAltitude(alt[index]);
    la[index].setTilt(tilt[index]);
    ge.getView().setAbstractView(la[index]);
}

